org.gitana.platform.support

## Class QName

- java.lang.Object
- - org.gitana.platform.support.QName

All Implemented Interfaces:
  Serializable, Cloneable

    public class QName
    extends Object
    implements Serializable, Cloneable

A QName is a qualified name for an object that exists in the repository. Objects exist in namespaces and namespaces enforce uniqueness of members. Each QName consists of a local name qualified by a namespace.

Author:
  uzi
See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `clone()`
`static QName` `create(String qname)` Creates a QName from its string representation: <namespace>:<name>
`static QName` `create(String namespace, String name)` Create a QName
`boolean` `equals(Object object)`
`String` `getName()` Gets the name
`String` `getNamespace()` Gets the namespace
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static QName create(String namespace,
                               String name)

Create a QName

Parameters:
  `namespace` - the qualifying namespace
  `name` - the local name
Returns:
  qname

#### create

    public static QName create(String qname)
                        throws InvalidQNameException

Creates a QName from its string representation: <namespace>:<name>

Parameters:
  `qname` - the string representation of the QName
Returns:
  qname
Throws:
  `IllegalArgumentException`
  `InvalidQNameException`

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### getName

    public String getName()

Gets the name

Returns:
  the name

#### getNamespace

    public String getNamespace()

Gets the namespace

Returns:
  namespace

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`